v1.3.8 | 2026-08-17
────────────────────────────────────────────────────────────────────────
* THE VEHICLES TAB CAN NOW SET HOW DEEP THE AMPHIBIOUS EXCAVATOR DIGS UNDER WATER, FROM THE DEFAULT 5 TILES UP TO 20 (THANKS ALEXANDER FOR THE SUGGESTION).

  - The row shows only for the amphibious excavator, and clearing the box puts it back to 5.

  - One value covers every amphibious excavator, including the hydrogen, synthetic diesel and battery versions.

  - The excavator's description updates with it, so it always states the depth you set.

────────────────────────────────────────────────────────────────────────
* THE SPEED SETTING IS GONE FROM THE VEHICLES TAB — VEHICLES DO NOT HANDLE HIGHER SPEEDS WELL AND IT CAUSED TOO MANY PROBLEMS, SO IT IS REMOVED FOR NOW.

  - Trucks and excavators drive at their normal speed again, and any speed you had set is ignored.

  - Load capacity and bucket size still work the same in the Vehicles tab.

  - The braking near mining areas and storages goes with it, since there is no boosted speed left to slow down from.

────────────────────────────────────────────────────────────────────────
* DRAG THE GRIP IN THE OVERLORD WINDOW'S BOTTOM-RIGHT CORNER TO SET ITS SIZE, AND EVERY TAB LAYS ITSELF OUT FOR THE SIZE YOU PICK.

  - Text reflows to the width you give it, so long labels and tooltips stay readable as the window grows.

  - Buttons, sliders and rows stretch and line up with the window, keeping columns even at any size.

  - Double-click the grip to put the window back to its default size.

────────────────────────────────────────────────────────────────────────
* A RESET UNITY BUTTON IN THE UNITY SECTION SETS UNITY BACK TO 0 AND PUTS THE CAP BACK TO ITS DEFAULT.

  - From then on the cap grows with your population again, the way it does without the cheat.

  - It also turns off Keep Unity full, so the reset holds.

────────────────────────────────────────────────────────────────────────
* THE PIN BUTTON IN THE OVERLORD TITLE BAR HOLDS THE WINDOW IN PLACE WHILE YOU WORK, SO ESC AND PICKING A TOOL BOTH LEAVE IT OPEN (THANKS MAG FOR THE REPORT).

  - It starts pinned each time you load a save. Unpin it and it stays unpinned every time you open the window, until you load a save again.

────────────────────────────────────────────────────────────────────────
* THE OVERLORD WINDOW NOW HAS A SIZE DROPDOWN, 85% TO 120% IN 5% STEPS, SEPARATE FROM THE GAME'S OWN UI SCALE (THANKS VLADOVLAK FOR THE REPORT).

  - Tooltips inside the window follow this size, while tooltips anywhere else in the game stay at their normal size (thanks Mag for the report).

────────────────────────────────────────────────────────────────────────
* THE COPY SETTINGS TOOL NOW CARRIES KEEP FULL AND KEEP EMPTY OVER TO THE STORAGE YOU CLICK, AND CLEARS IT IF THE ONE YOU COPIED FROM HAS NEITHER (THANKS MAG FOR THE SUGGESTION).

────────────────────────────────────────────────────────────────────────
* THE SHIP WINDOW NOW HAS ITS OWN UNLOAD CARGO BUTTON WHILE DOCKED — IT MOVES ALL CARGO TO THE SHIPYARD EVEN WHEN THE SHIPYARD IS FULL (THANKS HOOCHIE FOR THE SUGGESTION).

────────────────────────────────────────────────────────────────────────
* NO MAINTENANCE NOW ALSO REPAIRS ANYTHING ALREADY BROKEN DOWN, SO STOPPED AND SLOWED VEHICLES GET GOING AGAIN AND DROP THEIR BROKEN ICON (THANKS HOOCHIE FOR THE REPORT).

────────────────────────────────────────────────────────────────────────
* A ROLL-UP BUTTON IN THE OVERLORD TITLE BAR FOLDS THE WINDOW DOWN TO JUST ITS TITLE BAR, AND CLICKING IT AGAIN OPENS IT BACK UP (THANKS MAG FOR THE ICONS).

────────────────────────────────────────────────────────────────────────
* THE PIPE CHEAT TOOLBAR BUTTONS (UNDERGROUND, BULLDOZE, DEPTH LABELS, SLOPE) NOW SHOW ICONS INSTEAD OF LETTERS (THANKS MAG FOR THE ICONS).

────────────────────────────────────────────────────────────────────────

v1.3.7 | 2026-08-15
* Speed-boosted excavators and trucks assigned to a mining tower now brake down to normal speed when entering the mining area, so they no longer
  get stuck driving in tiny circles on steep slopes. Full boosted speed comes back the moment they leave the area.

* Max vehicle speed in the Vehicles tab is now 3 instead of 5 — 5 was far too fast and broke vehicle driving. Saved speeds above 3 automatically act as 3.

* The underground pipe options now turn themselves off when another underground pipe mod is loaded
  (Underground Pipes by Pique, or Underground Pipes by KleineEule), so the mods never fight over the same pipes.

  - A red notice at the top of Global Cheats tells you why, and the four pipe options are greyed out.

  - Their toolbar buttons and keyboard shortcuts are hidden while one of those mods is loaded.

* The Overlord window now always shows at 100% size, whatever UI scale you play at (thanks warrenc for the report). At 125% and higher the buttons at the bottom were cut off the screen and everything needed far more scrolling.

v1.3.6 | 2026-08-14
* Lots of changes made to the translations.

  - Many dead strings that are no longer in use have been removed.

  - Missing strings for newer parts of the mod have been added.

  - Text that was falling back to English now has its missing translations.

  - Wrong translations, wording and grammar have been updated.

  - If anything still reads wrong, update the translation yourself and send it to me in a DM or on the hub, and I will get it into the mod.

v1.3.5 | 2026-08-13
* Now supports game version 0.8.7a.

* The Overlord window is now the same size on every tab, so it no longer jumps in size when you switch between boost and the other mod tab.

* The Spawner product list now starts with two columns instead of one, and gains more columns much earlier as you drag the window wider.

* The product list is also taller and grows with the window height instead of staying a fixed height.

* New box at the bottom of the Spawner tab holding everything you act with — the selected product, the quantity, the amount buttons and the buttons
  themselves — separated from the product list so it is no longer mixed in with it.

* New Exact amount box next to the quantity buttons — type any number you want instead of being limited to premade choises.

* Double click a product in the list to add it straight to your favorites, and double click a favorite to remove it.

* The selected product is now marked with a gold highlight instead of the old blue tint, so it stands out from the rest of the list.

* The search box moved down into the bottom box next to the other buttons.

v1.3.4 | 2026-08-14
* Excavators now turn faster when you raise vehicle speed in the Vehicles tab, so they keep to the road at high speed instead of drifting off it
  and appearing to float above bridges. Turn rate goes back to normal when you set the speed back to default.

v1.3.3 | 2026-08-10
* Fixed Fake Power Consumption not increasing the Demand shown in the Electricity window, so it can now properly stress-test your power grid. (thanks Hoochie for the report)

* Fixed the same issue for Fake Computing Consumption not increasing the Demand shown in the Computing window.

v1.3.2 | 2026-08-10
* Fixed the pin on the Overlord window doing nothing — it now actually closes the window when you open something else (a building, another window) while unpinned, and starts pinned by default the first time you open it each session. (thanks Hoochie for the report)
* The "Ignore Research Item Requirements" and "Ignore Research Parent Requirements" tooltips now note that they don't include World Map item requirements. (thanks Hoochie for the report)
* Fixed Keep Full/Keep Empty buttons on storage buildings appearing twice in Sandbox games or saves. (thanks Hoochie for the report)
* Keep Full/Keep Empty floating labels now update when you use the game's own Sandbox buttons, not just Cheat++'s. (thanks Hoochie for the report)

v1.3.1 | 2026-07-29
* Now supports game version 0.8.7.
* Hovering the "O" button on the HUD now explains that it opens the Mori++ Suite settings and shows the keybind to open it (Alt + W). Translated into all languages.
* New Save/Load buttons in the settings window — save all your Cheat++ settings to a profile and reload them in any save or new game, so you never set everything up twice.
* Cheats tab tidied up — the window is wider, cheat names are no longer cut off, and the Set Power/Set Load and research buttons no longer sit glued together.
* Fixed the Unlimited Oil cheat showing in English in every language — its name was renamed but the translations were not updated (thanks yazora for the report).
* Shipyard and Spawner buttons now show their confirmation message on the first click instead of only after a second click (thanks Hoochie for the report).
* Those messages are now translated into all languages, and they clear themselves after 3 seconds instead of staying on screen while you switch tabs.
* Added support for 13 more languages — Catalan, Czech, Dutch, Estonian, French, Hungarian, Japanese, Korean, Norwegian, Polish, Swedish, Traditional Chinese and Turkish. Cheat++ now supports every language the base game does.
* Fixed the Overlord window title, and its Save and Load buttons and their tooltips, always showing in English no matter your language.
* Fixed dozens of status messages — research, world map, Unity, tree removal, vehicle limits, profile save/load, and more — that stayed in English in every language.
* Fixed the WorldGen tab name always showing in English.
* Save, Load and Reveal Entire World Map now ask you to confirm first, so you cannot overwrite your settings or reveal the map by accident. (thanks Mag for the suggestion)
* New "I am a naughty cheater!" toggle unlocks the sandbox sources and sinks in a normal game — find them under Transports, I/O markers. (thanks Hoochie for the suggestion)
* Fixed "Move Cargo" on the Shipyard tab destroying the ship's cargo instead of moving it. It now transfers everything, even past the limit. (thanks Hoochie for the report)
* General UI fixes — several buttons and names no longer wrap or overlap in some languages.

v1.3.0 | 2026-07-29
* Now supports game version 0.8.6b.

v1.2.9 | 2026-07-24
* Saved settings now live in a shared "Mori++ Saved settings" folder outside the mod folder, so a manual delete or a mod manager wiping the folder no longer loses them. Because of this move, all your current settings reset to default one time — set everything up again and from then on they're kept safe in that folder.
* The Mori++ HUD buttons are now one single "O" Overlord button — click it to open one window with a tab for each installed mod's settings, instead of a separate button per mod.
* Overlord now has its own keybind (Alt+W by default) to open or close it. Can be changed in Keybind Framework if installed.
* Fixed vehicle speed override silently capping out — it now actually makes vehicles drive faster, up to a new max of 5x (higher speeds break the game's own driving physics).
* Bucket Size input is now capped at 500 (For now), and both Speed and Bucket Size now show their max allowed value next to the default.
* Vehicle Stats picker icons no longer show a fuel-type badge — it still applies to every fuel variant (diesel, hydrogen, synthetic, battery), the badge was misleading.
* Cheat++ window is now the same width as the other Mori++ tabs in the Overlord window.

v1.2.8 | 2026-07-21
-----

v1.2.7 | 2026-07-17
* Now supports game version 0.8.6 (experimental), and remains compatible back to 0.8.4.
* Fixed the pipe toolbar's quick-toggle buttons (U/B/L/S) drawing as rectangles and shifting position — they're now sized to match the other toolbar icons and stay put.

v1.2.6 | 2026-07-01
* All keybinds can now be viewed and rebound from the Modded Keybinds tab in Settings — install the Keybind Framework mod to use it.
* Added quick-toggle buttons to the pipe building toolbar for the four pipe cheats — Allow pipes underground, Bulldoze underground pipes, Show depth labels, and Build pipes along slopes. Click a button or press its shortcut (Alt+U / Alt+B / Alt+L / Alt+S, rebindable via the Keybind Framework mod if installed); each button lights up while its option is on. (thanks Hoochie for the suggestion)
* All translations have been updated, thanks to Hoochie for the updated Russian translation.
* Vehicle Stats now shows one entry per vehicle that applies to all fuel variants (diesel, hydrogen, synthetic, battery), so none are missing. (thanks maxg for the report)

v1.2.5 | 2026-06-22
* New Settlement toggle "Keep Unity full" — keeps your Unity topped up to the cap automatically while it's on. (thanks Whatchamacallit Gaming for the suggestion)
* Spawner: tidier bottom button bar (Add to Shipyard, Close, Add Favorite) and a taller product list so you see more items at once and avoid hitting "add to favorites by mistake".

v1.2.4 | 2026-06-14
* Tree harvesters and tree planter can now be edited in the Vehicle Stats panel — change their speed (and a tree planter's carry capacity).
* Fixed underground pipes breaking and spilling their contents when connected to an above-ground pipe. (huge thanks to notmuted for the save and showing the problem)
* The maintenance indicator is now hidden from the pinned products bar while the No Maintenance cheat is on. (thanks JamieChi57 for the suggestion)

v1.2.3 | 2026-06-13
* Fixed the Sandbox toolbar button not opening its window in Sandbox games — the Fill Tool fix from 1.2.2 was also blocking the real Sandbox window. (thanks Liquid5150 for the report)

v1.2.2 | 2026-06-10
* Underground pipes — when placing a pipe, floating depth numbers (-1, -2, -3…) now appear at ground level over the ends of buried pipes, so you can connect to them without moving the camera underground. (thanks petter566 for the suggestion)
* Added a toggle to turn the underground pipe depth numbers on or off. (thanks Mag for the report)
* New toggle "Build pipes along slopes" — pipes can now follow sloped ground and ramp up and down hills instead of going straight up and down vertically, so you can run a pipe straight down a hillside.
* Fixed canceling the Fill Tool so it no longer opens the vanilla Sandbox window. (thanks Mag for the report)

v1.2.1 | 2026-06-08
* New cheat toggle "Ignore Research Parent Requirements" — research any node without unlocking its parent technologies first. (thanks Agent Coxack for the suggestion)

v1.2.0 | 2026-05-31
* Added a pin button to the window — pin it to keep it open (thanks Malibu2 for the suggestion).
* Added missing translations for multiple languages (thanks kukularra for reporting the missing strings).
* Added more missing translations across all languages.
* Updated Ukrainian translation — huge thanks to SirColibris for the proofreading and corrections.

v1.1.9 | 2026-05-26
* Fixed Instant Build & Free — after a full game restart + load, the toggle now shows the correct ON/OFF state. 
  Previously it always read OFF in the UI even when the cheat was still active in the background. (thanks General Zod and Mrbag88 for the reports)
* KE/KF floating icons — size can now be adjusted via Tweaks++ → Overlays → KE/KF Icon Size.
* Removed the global Storage Throughput override — per-storage throughput is now set individually in Storage++ (new Throughput tab).
* If there is anything you don't feel is right in Ukrainian language and wan't something changed/added contact SirColibris on Discord in COI server.

v1.1.8 | 2026-05-25
* New cheat: Fake Computing Output — type a TFLOPS value (0-10000) and that much extra computing feeds the global pool every tick. Set to 0 to disable.
* New cheat: Fake Power Consumption — drains MW from the real grid every tick to stress-test your power network.
* New cheat: Fake Computing Consumption — drains TFLOPS from the Fake Computing Output budget to simulate compute load.
* New Research button: "Unlock All Repeatable" — advances every repeatable research node by one count, but only those whose prerequisites are met.
* Cheats tab tightened up — less scrolling. Research and World Map sections share one row (left = World Map, right = Research).
* Spawner: added 12 new fluids — Exhaust, Chlorine, Acid, Ammonia, Nitrogen, Sour water, Brine, Crude oil, Naphtha, Fuel gas, Cooking oil, Ethanol.
* Underground pipes — fixed the slope and missing pillars when building at higher heights above ground with the cheat on.

v1.1.7 | 2026-05-23
* Added Simplified Chinese translation (translation by markstar, proofed and corrected by ytbcesd). The mod now supports 8 languages.
* Updated Ukrainian translation with proofreader refinements.
* New cheat: Allow pipes underground — press Down to place pipes below terrain. A green line shows the buried path. 
  Bulldoze protection toggle included. (thanks Kayser)

v1.1.6 | 2026-05-22
* Added Spanish, Portuguese, Ukrainian and Italian translations. The mod now supports 7 languages in total: English, German, Russian, Spanish, Portuguese, Ukrainian and Italian.
* New shipyard action: "Dump Cargo" moves shipyard cargo into matching base storages by import priority. Nothing is destroyed. (thanks PrimeDew for the suggestion)
* Vehicles tab is now "Vehicles/Trains" — set per-type train wagon cargo capacity, saved per game.
* New cheat: Ignore Research Item Requirements — research gated behind producing a quantity of an item (e.g. 200 spent fuel rods) now unlocks without it. Research Unity and science costs are unaffected. (thanks Vulkandrache for the suggestion)
* Updated the mod thumbnail.
* Fixed Instant Build cheat: vehicle depots and rocket assembly depot no longer skip worker assignment. Thanks to gamer.1337 reporting this.
* Fixed a conflict with PlaceResourceMod that could crash the game. When Place Resource Mod is present, the Unlimited Water and No Oil Drain cheats are automatically turned off and left for that mod to handle.
* Huge thanks to kukularra for finding the conflict with Place Resource Mod.

v1.1.5 | 2026-05-21
* The "fix for WorldGen bug" button now also unlocks Sugar cane and Poppy seeds (temp fix), not just Radar 2 and Corn — some maps were missing those unlocks too.

v1.1.4 | 2026-05-17
* Fixed translation errors.
* Added missing translations and widened the window for Russian and German so the UI displays correctly.
* The "fix for WorldGen bug" button now also unlocks Corn seeds, not just Radar 2 — some maps were missing the corn unlock too.

v1.1.3 | 2026-05-15
* Huge UI redesign for much better navigation across all settings and tabs.
* New cheat: No Pollution — one toggle disables air, water, landfill and radiation penalties.
  Stats takes a bit to update after turning it on. (thanks redgreen for the suggestion)
* New cheat: Fake Power Output — type a MW value (0-10000) in the Cheats tab and that much extra power feeds the global pool every tick.
  Set to 0 to disable. (thanks wolf03 for the suggestion)


v1.1.2 | 2026-05-14
* Fixed Keep Full / Keep Empty arrows on storages not appearing after loading a save.
* Fixed settings panel showing an error on fresh installs — mod config window now opens correctly.
* New toggles in Cheats tab: No Housing Waste, No Housing Biowaste, No Housing Wastewater. Settings persist per save.
* Cheats tab — Storage Throughput override. Toggle on, drag the slider (100–20000 per 60s), and every storage uses that rate instead of its tier limit. 
  This will change how fast items go in and out. Storage windows now show the throughput value live as you drag.


v1.1.1 | 2026-05-13
* Fixed settings panel showing an error on fresh installs — mod config window now opens correctly.
* New toggles in Cheats tab: No Housing Waste, No Housing Biowaste, No Housing Wastewater. Settings persist per save.
* Cheats tab — Storage Throughput override. Toggle on, drag the slider (100–20000 per 60s), and every storage uses that rate instead of its tier limit. 
  This will change how fast items go in and out. Storage windows now show the throughput value live as you drag.

v1.1.0 | 2026-05-13
*Fill Tool — Now finaly fixed mixed rock/dirt in ocean fills. (my tired ass uploading wrong version)

v1.0.9 | 2026-05-11
*Fill Tool — Now finaly fixed mixed rock/dirt in ocean fills.

v1.0.7 | 2026-05-10
* Fixed Fill Tool placing selected material when used over water now dont mix materials. Thanks warrenc for the report of problem.

v1.0.6 | 2026-05-10
* Added "Get Radar 2 (fix for WorldGen bug)" button under Reveal World Map — temporary workaround for saves where WorldGen++ failed to place the Radar 2 unlock on the world map.

v1.0.5 | 2026-05-10
* Updated manifest for latest version.

v1.0.4 | 2026-05-09
* Fixed Vehicles tab truck capacity overrides ignoring the "Overloaded trucks" Captain's Office edict and office load boost.

v1.0.3 | 2026-05-08
* New Vehicles tab — pick any truck or excavator and type custom Speed, Load Capacity (trucks),
  or Bucket Size (excavators). Defaults shown next to each field for easy undos.
* Storage Keep-Full / Keep-Empty labels changed to simple arrow icons (green up / red down).
* New "Labels for KF/KE" toggle in the Cheats tab — turn the floating arrow icons on or off (on by default).

v1.0.2 | 2026-05-08
* New Vehicles tab — pick any truck or excavator and type custom Speed, Load Capacity (trucks), 
  or Bucket Size (excavators). Defaults shown next to each field for easy undos.

v1.0.1 | 2026-05-06
* Split research unlock into two buttons: "Unlock All Available Research" unlocks techs whose prerequisites are
  already met; "Unlock All Research" force-unlocks everything. Neither one touches repeatable research.
* Added Hydrogen to the Spawner product list.
* Storage buildings now show a floating "KF" (yellow) or "KE" (red) label above them when Keep Full or Keep
  Empty is active. Label disappears when the mode is turned off.

v1.0.0 | 2026-05-03
* Instant Build & Free — buildings, vehicles and upgrades complete instantly with no construction material cost
* No Fuel Usage — vehicles and generators don't consume fuel
* No Food Usage — population won't consume food
* No Maintenance — disables all maintenance costs
* Magic Wand — Ctrl+click to instantly fill or empty storage, plus Keep Full / Keep Empty auto-toggles
* Unlimited Water & Oil on map — ground deposits never deplete
* Vehicle Limit override — raise max vehicle cap
* Finish Current Research button
* Unlock All Research button
* Reveal Entire World Map button
* Unity cap + auto-refill control
* Set Population directly
* Shipyard Capacity override and Shipyard tab (transfer cargo, destroy cargo, instant repair)
* Fill Designations tool — fill/remove with dig/dump designations with a selected material
* Remove Trees tool — instantly harvest all marked trees
* Spawner tab — spawn any product via Shipyard with a favorites list
